Name: op5-trapper-luapack
Version: 1.0.1
Release: op5.1
License: MIT, BSD
Packager: build@op5
BuildRoot: /tmp/%name-%version
Summary: Lua with MySQL, syslog and some POSIX functionality support
Group: op5/trapper
Prefix: /opt/trapper
Requires: mysql
BuildRequires: glibc-devel readline-devel ncurses-devel mysql-devel 
Source0: %name-%version.tar.gz

%description
Package contains tools needed for op5 trapper:
* Daemonize
* Lua
* LuaSQL
* lsyslog
* lposix
* lsignal

%prep
%setup -q

%build
[ "$RPM_ARCH" = "x86_64" ] && make ARCH=i64 || make ARCH=i32
make INSTALL_TOP=%buildroot%prefix install

%files
%defattr(755,root,root)
%prefix/bin/daemonize
%prefix/bin/lua
%prefix/bin/luac
%prefix/lib/lua/posix.so
%prefix/lib/lua/signal.so
%prefix/lib/lua/syslog.so
%prefix/lib/lua/luasql/mysql.so
%prefix/share/doc/daemonize/license
%prefix/share/doc/lua/*

%clean
rm -rf %buildroot
